<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de AAB Mexico  :: By Daniel Herrera Tello.    -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://repository.edicomnet.com/schemas/mx/cfd/addenda">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="ABB">
		<xsl:variable name="tipprov" select="substring-before(Datos/Emisor/@noProveedor,'-')"/>
		<xsl:attribute name="codigoProveedor">
			<xsl:value-of select="substring-after(Datos/Emisor/@noProveedor,'-')"/>
		</xsl:attribute>
		<xsl:attribute name="tipoProveedor">
			<xsl:value-of select="$tipprov"/>
		</xsl:attribute>
		<xsl:choose>
			<xsl:when test="$tipprov = 'COC'">
				<xsl:element name="COC">
					<xsl:element name="serie">
						<xsl:value-of select="Datos/CFD/@Serie"/>
					</xsl:element>
					<xsl:element name="folio">
						<xsl:value-of select="Datos/CFD/@Folio"/>
					</xsl:element>
					<xsl:element name="ordenCompra">
						<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
					</xsl:element>
					<xsl:element name="lineaOrden">
						<xsl:value-of select="Datos/Documento/@Dato1"/>
					</xsl:element>
				</xsl:element>
			</xsl:when>
			<xsl:when test="$tipprov = 'SOC'">
				<xsl:element name="SOC">
					<xsl:element name="serie">
						<xsl:value-of select="Datos/CFD/@Serie"/>
					</xsl:element>
					<xsl:element name="folio">
						<xsl:value-of select="Datos/CFD/@Folio"/>
					</xsl:element>
				</xsl:element>
			</xsl:when>
			<xsl:when test="$tipprov = 'AA'">
				<xsl:element name="AA">
					<xsl:element name="serie">
						<xsl:value-of select="Datos/CFD/@Serie"/>
					</xsl:element>
					<xsl:element name="folio">
						<xsl:value-of select="Datos/CFD/@Folio"/>
					</xsl:element>
				</xsl:element>
			</xsl:when>
		</xsl:choose>
	</xsl:element>
	</xsl:template>
</xsl:stylesheet>